# EZ_SetDirTreeOpenDirectoryMode

##

##

##

##

##

    NAME
           EZ_SetDirTreeOpenDirectoryMode  -  select  a mode for open
           subdirectories on dir trees

    SYNOPSIS
           #include <EZ.h>

           void EZ_SetDirTreeOpenDirectoryMode( int mode)

    ARGUMENTS
           mode    Specifies    a    mode.    Must    be    one    of
           EZ_DIR_NODE_OPEN_DIRECTORY_NONE,   EZ_DIR_NODE_OPEN_DIREC-
           TORY_DEFAULT and EZ_DIR_NODE_OPEN_DIRECTORY_COLLAPSING.

    DESCRIPTION
           EZ_SetDirTreeOpenDirectoryMode dictates the way  subdirec-
           tories are treated when open a directory on a dir tree. If
           mode  is  EZ_DIR_NODE_OPEN_DIRECTORY_NONE,  subdirectories
           are  ignored,  i.e.,  nodes  are  created only for regular
           files. If mode is EZ_DIR_NODE_OPEN_DIRECTORY_DEFAULT, sub-
           directories  are  treated  the  same as regular files.  If
           mode is EZ_DIR_NODE_OPEN_DIRECTORY_COLLAPSING, then subdi-
           recties  are  treated  the  same as regular files. In this
           case, the siblings of the the directory to be  opend  will
           all be destroied.

    SEE ALSO
           EZ_GetDirTreeNodeFullPath(3),  EZ_SetDirTreeDirectoryNodeCreator(3)
           , EZ_SetDirTreeFileNodeCreator(3)